Up

# NSPersonNameComponents class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSPersonNameComponents class

## NSPersonNameComponents : NSObject

> Declared in:
>   Foundation/NSPersonNameComponents.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: MacOS-X 10.7.0
Description forthcoming.
Method summary

- -familyName
- -givenName
- -middleName
- -namePrefix
- -nameSuffix
- -nickname
- -phoneticRepresentation
- -setFamilyName:
- -setGivenName:
- -setMiddleName:
- -setNamePrefix:
- -setNameSuffix:
- -setNickname:
- -setPhoneticRepresentation:

### familyName

- (NSString*) familyName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### givenName

- (NSString*) givenName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### middleName

- (NSString*) middleName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### namePrefix

- (NSString*) namePrefix;
Availability: MacOS-X 10.7.0
Description forthcoming.

### nameSuffix

- (NSString*) nameSuffix;
Availability: MacOS-X 10.7.0
Description forthcoming.

### nickname

- (NSString*) nickname;
Availability: MacOS-X 10.7.0
Description forthcoming.

### phoneticRepresentation

- (NSPersonNameComponents*) phoneticRepresentation;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setFamilyName:

- (void) setFamilyName: (NSString*)familyName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setGivenName:

- (void) setGivenName: (NSString*)givenName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setMiddleName:

- (void) setMiddleName: (NSString*)middleName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setNamePrefix:

- (void) setNamePrefix: (NSString*)namePrefix;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setNameSuffix:

- (void) setNameSuffix: (NSString*)nameSuffix;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setNickname:

- (void) setNickname: (NSString*)nickname;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setPhoneticRepresentation:

- (void) setPhoneticRepresentation: (NSPersonNameComponents*)pr;
Availability: MacOS-X 10.7.0
Description forthcoming.

Up